gdl (3.26.0-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 16 Dec 2017 17:15:43 -0500

gdl (3.26.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 15 Sep 2017 20:14:53 -0400

gdl (3.22.0-1) unstable; urgency=medium

  * New upstream release.
  * Convert from cdbs to dh.
  * Bump debhelper compat level to 10.
  * Pass --as-needed to dh_autoreconf and to the linker to reduce runtime
    dependencies.

 -- Michael Biebl <biebl@debian.org>  Sun, 18 Sep 2016 20:29:05 +0200

gdl (3.20.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop libgdl-3-dbg package now that we have automatic dbgsym packages.
  * Ensure proper upgrade from libgdl-3-dbg to new dbgsym packages by using
    dh_strip --dbgsym-migration. Bump Build-Depends on debhelper accordingly.
  * Drop obsolete Breaks/Replaces from pre-wheezy.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Fri, 15 Apr 2016 00:31:51 +0200

gdl (3.18.0-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Mon, 21 Sep 2015 15:30:54 +0200

gdl (3.16.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compatibility level to 9.

 -- Michael Biebl <biebl@debian.org>  Tue, 26 May 2015 01:35:18 +0200

gdl (3.14.0-2) unstable; urgency=medium

  * Install typelib files into multiarch paths now that gobject-introspection
    supports multiarch.
  * Mark gir and dev packages as Multi-Arch: same.
  * Bump Standards-Version to 3.9.6. No further changes.

 -- Michael Biebl <biebl@debian.org>  Thu, 02 Oct 2014 14:21:22 +0200

gdl (3.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 01 Oct 2014 03:07:31 +0200

gdl (3.12.0-2) unstable; urgency=medium

  * Use dh-autoreconf during build to support new architectures like ppc64el.
    Closes: #735982

 -- Michael Biebl <biebl@debian.org>  Wed, 03 Sep 2014 00:47:34 +0200

gdl (3.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version t 3.9.5.

 -- Michael Biebl <biebl@debian.org>  Tue, 02 Sep 2014 23:03:11 +0200

gdl (3.8.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Wed, 31 Jul 2013 23:34:35 +0200

gdl (3.8.1-1) experimental; urgency=low

  [ Thomas Bechtold ]
  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.4.
    - Rename libgdl-3-2 → libgdl-3-5 for the soname bump.

 -- Michael Biebl <biebl@debian.org>  Sat, 29 Jun 2013 09:55:15 +0200

gdl (3.4.2-1) unstable; urgency=low

  * New upstream release.
  * Bump Build-Depends on cdbs for multiarch support.
  * Drop explicit Build-Depends on gir1.2-gtk-3.0.

 -- Michael Biebl <biebl@debian.org>  Tue, 24 Apr 2012 18:58:13 +0200

gdl (3.3.91-1) experimental; urgency=low

  * New upstream development release.
  * Rename libgdl-3-1 → libgdl-3-2 for the soname bump.
  * debian/libgdl-3-common.install: Remove /usr/share/gdl-3 since upstream no
    longer installs a .ui file.
  * debian/libgdl-3-2.symbols: Add new symbols and remove GdlLayoutManager
    related symbols, which were dropped upstream.
  * debian/rules: Build gtk-doc API documentation, don't use the one shipped
    in the upstream tarball.
  * Split the API documentation from libgdl-3-common into a separate package
    libgdl-3-doc. Add the necessary Breaks/Replaces.
  * Add Suggests: libgdl-3-doc to libgdl-3-dev.
  * Convert libgdl to multiarch.
  * Bump Standards-Version to 3.9.3.

 -- Michael Biebl <biebl@debian.org>  Mon, 12 Mar 2012 17:02:21 +0100

gdl (3.2.0-2) unstable; urgency=low

  * debian/control.in:
    - Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer.
    - Change section of gir1.2-gdl-3 to introspection.
  * debian/watch: Track .xz tarballs.

 -- Michael Biebl <biebl@debian.org>  Mon, 12 Mar 2012 15:47:18 +0100

gdl (3.2.0-1) unstable; urgency=low

  * Rename the source package back to gdl.
  * New upstream release.
  * Update symbols file for libgdl-3-1.

 -- Michael Biebl <biebl@debian.org>  Mon, 10 Oct 2011 01:11:32 +0200

gdl3 (3.0.2-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Switch to .bz2 tarballs.
  * debian/rules:
    - Set GNOME_MODULE to gdl so get-orig-source works correctly.
    - Remove clean-la.mk include as no libtool .la file is installed.
  * Add debian/libgdl-3-1.symbols for improved shlibs dependencies.
  * Strip debian/tmp/ from .install files.
  * debian/control.in:
    - Bump Standards-Version to 3.9.2. No further changes.
    - Update Vcs-* fields.

 -- Michael Biebl <biebl@debian.org>  Wed, 22 Jun 2011 06:55:01 +0200

gdl3 (3.0.0-2) experimental; urgency=low

  [ Jordi Mallach ]
  * Remove unneeded dependency on -common from the gir package.
  * Avoid a file conflict between gir1.2- and -common.
  * Add Vcs headers.

  [ Josselin Mouette ]
  * Change source package name to allow parallel migration to testing.
  * Drop useless Conflicts/Provides.

 -- Jordi Mallach <jordi@debian.org>  Thu, 07 Apr 2011 23:33:19 +0200

gdl (3.0.0-1) experimental; urgency=low

  * New upstream stable release.

 -- Jordi Mallach <jordi@debian.org>  Tue, 05 Apr 2011 18:00:17 +0200

gdl (2.91.92-1) experimental; urgency=low

  * New upstream release, for GTK+3.
  * Move to source format 3.0 (quilt). Drop use of simple-patchsys.mk.
  * Library is now libgdl-3, soname 1. Make all necessary changes.
  * Update Build-Depends.
  * Introduce a GObject introspection package.
  * Bump Standards-Version to 3.9.1 (no changes required).
  * Bump debhelper compat to 8.

 -- Jordi Mallach <jordi@debian.org>  Mon, 04 Apr 2011 19:19:39 +0200

gdl (2.30.1-1) unstable; urgency=low

  * New upstream translation-only release.

 -- Josselin Mouette <joss@debian.org>  Sun, 03 Oct 2010 10:47:57 +0200

gdl (2.30.0-1) unstable; urgency=low

  * New upstream stable release:
    + debian/rules:
      - Update SHVER to 2.30.0 because of API additions.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 09 Apr 2010 13:52:23 +0200

gdl (2.28.2-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 24 Nov 2009 20:32:14 +0100

gdl (2.28.1-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version is 3.8.3, no changes needed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 04 Nov 2009 18:31:10 +0100

gdl (2.28.0-1) unstable; urgency=low

  * Remove .la file since nothing references it.
  * New upstream release.
  * Drop glade requirements.
  * 10_gtk_widget_show.patch: dropped, merged upstream.
  * Rename the library package to follow the ABI change.
  * Update list of copyright holders.
  * License is now LGPL.

 -- Josselin Mouette <joss@debian.org>  Sat, 26 Sep 2009 18:21:01 +0200

gdl (2.26.2-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Fix section for debug package.

  [ Luca Falavigna ]
  * New upstream release (Closes: #530828).
  * debian/copyright:
    - Add Copyright notice listing copyright holders.
    - Licensed under GPLv2, adjust link to common licenses accordingly.
  * debian/patches/10_gtk_widget_show.patch:
    - Show requestor when docking to a GdlDockPaned.
  * debian/control.in
    - Bump Standards-Version to 3.8.2, no changes required.

  [ Emilio Pozuelo Monfort ]
  * Say what contains each package in the long description.
  * Remove section in binary package where is inherited from the source
    stanza.

  [ Josselin Mouette ]
  * Update build-dependencies.

 -- Josselin Mouette <joss@debian.org>  Mon, 29 Jun 2009 21:46:01 +0200

gdl (2.24.0-4) unstable; urgency=low

  * libgdl-1-dev depends on libglade2-dev and libxml2-dev. 
    Closes: #518970.
  * Add libglib2.0-doc and libgtk2.0-doc to b-d-i to ensure proper
    xrefs.

 -- Josselin Mouette <joss@debian.org>  Thu, 09 Apr 2009 20:17:23 +0200

gdl (2.24.0-3) unstable; urgency=low

  * Add GNOME team as uploaders; add control.in and include uploaders.mk to
    generate uploaders list; bdep on gnome-pkg-tools (>= 0.10).
  * Wrap build-deps and deps to get cleaner patches.
  * Add ${misc:Depends} and ${shlibs:Depends}.
  * Bump up Standards-Version to 3.8.0.
  * List full license header.
  * Whitespace cleanups.
  * Include gnome-get-source.mk optionally.
  * Include clean-la.mk; bdep on gnome-pkg-tools >= 0.11.
  * Add debian/compat 5; doh!
  * Add watch file.

 -- Loic Minier <lool@dooz.org>  Fri, 26 Sep 2008 17:42:20 +0200

gdl (2.24.0-2) unstable; urgency=low

  * Add Build-Dep on intltool.

 -- Rob Bradford <robster@debian.org>  Fri, 26 Sep 2008 13:58:51 +0100

gdl (2.24.0-1) unstable; urgency=low

  * New upstream release.
  - Remove now-unused libgdl-gnome binary packages.

 -- Rob Bradford <robster@debian.org>  Wed, 24 Sep 2008 22:09:11 +0100

gdl (0.7.11-1) unstable; urgency=low

  * New upstream release

 -- Rob Bradford <robster@debian.org>  Mon, 10 Mar 2008 12:05:31 +0000

gdl (0.7.10-1) unstable; urgency=low

  * New upstream release

 -- Rob Bradford <robster@debian.org>  Mon, 25 Feb 2008 18:48:51 +0000

gdl (0.7.9-1) unstable; urgency=low

  * New upstream release

 -- Rob Bradford <robster@debian.org>  Sun, 17 Feb 2008 11:15:21 +0000

gdl (0.7.8-1) unstable; urgency=low

  * New upstream release
  - Make -dbg package priority extra.

 -- Rob Bradford <robster@debian.org>  Mon, 11 Feb 2008 11:05:17 +0000

gdl (0.7.7-1) unstable; urgency=low

  * New upstream release

 -- Rob Bradford <robster@debian.org>  Fri, 07 Sep 2007 11:53:15 +0100

gdl (0.7.6-1) unstable; urgency=low

  * New upstream release

 -- Rob Bradford <robster@debian.org>  Tue, 26 Jun 2007 15:14:45 +0100

gdl (0.7.5-1) unstable; urgency=low

  * New upstream release

 -- Rob Bradford <robster@debian.org>  Sun,  6 May 2007 13:23:37 +0100

gdl (0.7.2-1) unstable; urgency=low

  * New upstream release
  * Added new binary packages: libgdl-1-0-dbg, libgdl-gnome-1-0, libgdl-gnome-1-0-dbg
  * Updated Standards-Version.
  * Increased compat level to 5 (needed for the -dbg packages).
  * Updated Build-Depends.

 -- Rob Bradford <robster@debian.org>  Sat, 17 Feb 2007 18:55:53 +0000

gdl (0.6.1-1) unstable; urgency=low

  * New upstream release

 -- Rob Bradford <robster@debian.org>  Tue, 16 May 2006 22:45:24 +0100

gdl (0.6.0-4) unstable; urgency=low

  * Maintainer upload to build against updated dependencies. Binary NMU broke
    dependencies due to use of ${Source-Version} in debian/control. This has
    since been replaced with a manual version specification. (closes: #365001)

 -- Rob Bradford <robster@debian.org>  Mon,  1 May 2006 10:42:40 +0100

gdl (0.6.0-3) unstable; urgency=low

  * Upload to unstable.

 -- Rob Bradford <robster@debian.org>  Wed, 11 Jan 2006 11:05:47 +0000

gdl (0.6.0-2) experimental; urgency=low

  * Use Provides/Conflicts correctly for -dev package.

 -- Rob Bradford <robster@debian.org>  Mon, 18 Jul 2005 23:34:42 +0100

gdl (0.6.0-1) experimental; urgency=low

  * Initial release.

 -- Rob Bradford <robster@debian.org>  Tue, 12 Jul 2005 20:56:09 +0100

